Class CurveFinderBuilder
Inheritance
System.Object
System.MarshalByRefObject
CurveFinderBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
Syntax
public class CurveFinderBuilder : TaggedObject, IMessageSink, IComponentBuilder
Constructors
CurveFinderBuilder()
Declaration
protected CurveFinderBuilder()
Properties
ChamferEnabled
Declaration
public bool ChamferEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CoincidentVertex2dComponentEnabled
Declaration
public bool CoincidentVertex2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CoincidentVertexEnabled
Declaration
public bool CoincidentVertexEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CoincidentVertexSketchGroupEnabled
Declaration
public bool CoincidentVertexSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Collinear2dComponentEnabled
Declaration
public bool Collinear2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CollinearEnabled
Declaration
public bool CollinearEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CollinearSketchGroupEnabled
Declaration
public bool CollinearSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CompoundGeometryRelationScope
Declaration
public int CompoundGeometryRelationScope { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Concentric2dComponentEnabled
Declaration
public bool Concentric2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ConcentricEnabled
Declaration
public bool ConcentricEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ConcentricSketchGroupEnabled
Declaration
public bool ConcentricSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
CurvePointList
Declaration
public SelectDisplayableObjectList CurvePointList { get; }
Property Value
CurveSection
Declaration
[Obsolete("Deprecated in NX10.0.0. This is for pre NX10 usage, do not use this method.")]
public ScCollector CurveSection { get; }
Property Value
EqualRadius2dComponentEnabled
Declaration
public bool EqualRadius2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
EqualRadiusEnabled
Declaration
public bool EqualRadiusEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
EqualRadiusSketchGroupEnabled
Declaration
public bool EqualRadiusSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
FindScopeOption
Declaration
public int FindScopeOption { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Offset2dComponentEnabled
Declaration
public bool Offset2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
OffsetEnabled
Declaration
public bool OffsetEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
OffsetSketchGroupEnabled
Declaration
public bool OffsetSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Parallel2dComponentEnabled
Declaration
public bool Parallel2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ParallelEnabled
Declaration
public bool ParallelEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
ParallelSketchGroupEnabled
Declaration
public bool ParallelSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
RelationScope
Declaration
public int RelationScope { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
SketchGroupRelationScope
Declaration
public int SketchGroupRelationScope { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
SymmetricEnabled
Declaration
public bool SymmetricEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
SymmetryOption
Declaration
public int SymmetryOption { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
SymmetryReference
Declaration
public SelectNXObject SymmetryReference { get; }
Property Value
Tangent2dComponentEnabled
Declaration
public bool Tangent2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
TangentEnabled
Declaration
public bool TangentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
TangentSketchGroupEnabled
Declaration
public bool TangentSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
UseCurveFinder
Declaration
public bool UseCurveFinder { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
VertexOnCurve2dComponentEnabled
Declaration
public bool VertexOnCurve2dComponentEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
VertexOnCurveEnabled
Declaration
public bool VertexOnCurveEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
VertexOnCurveSketchGroupEnabled
Declaration
public bool VertexOnCurveSketchGroupEnabled { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Methods
AddChamfer()
Declaration
AddCoincident()
Declaration
public void AddCoincident()
AddCoincident2dComponent()
Declaration
public void AddCoincident2dComponent()
AddCoincidentSketchGroup()
Declaration
public void AddCoincidentSketchGroup()
AddConcentric()
Declaration
public void AddConcentric()
AddConcentric2dComponent()
Declaration
public void AddConcentric2dComponent()
AddConcentricSketchGroup()
Declaration
public void AddConcentricSketchGroup()
AddConlinear()
Declaration
public void AddConlinear()
AddConlinear2dComponent()
Declaration
public void AddConlinear2dComponent()
AddConlinearSketchGroup()
Declaration
public void AddConlinearSketchGroup()
AddEqualRadius()
Declaration
public void AddEqualRadius()
AddEqualRadius2dComponent()
Declaration
public void AddEqualRadius2dComponent()
AddEqualRadiusSketchGroup()
Declaration
public void AddEqualRadiusSketchGroup()
AddOffset()
Declaration
AddOffset2dComponent()
Declaration
public void AddOffset2dComponent()
AddOffsetSketchGroup()
Declaration
public void AddOffsetSketchGroup()
AddParallel()
Declaration
public void AddParallel()
AddParallel2dComponent()
Declaration
public void AddParallel2dComponent()
AddParallelSketchGroup()
Declaration
public void AddParallelSketchGroup()
AddSymmetric(Int32)
Declaration
public void AddSymmetric(int planeType)
Parameters
Type |
Name |
Description |
System.Int32 |
planeType |
|
AddTangent()
Declaration
AddTangent2dComponent()
Declaration
public void AddTangent2dComponent()
AddTangentSketchGroup()
Declaration
public void AddTangentSketchGroup()
AddVertexOnCurve()
Declaration
public void AddVertexOnCurve()
AddVertexOnCurve2dComponent()
Declaration
public void AddVertexOnCurve2dComponent()
AddVertexOnCurveSketchGroup()
Declaration
public void AddVertexOnCurveSketchGroup()
DeselectCurves(NXObject[])
Declaration
public void DeselectCurves(NXObject[] curves)
Parameters
DeselectSnapPoint(TaggedObject, Point3d)
Declaration
public void DeselectSnapPoint(TaggedObject selectedCurve, Point3d point)
Parameters
DeselectSymmetryReference(NXObject)
Declaration
public void DeselectSymmetryReference(NXObject symmetryReference)
Parameters
Type |
Name |
Description |
NXObject |
symmetryReference |
|
FindRelationCurve(NXObject[])
Declaration
public void FindRelationCurve(NXObject[] selectedCurves)
Parameters
Type |
Name |
Description |
NXObject[] |
selectedCurves |
|
FindScopeCurve(NXObject[])
Declaration
public void FindScopeCurve(NXObject[] selectedCurves)
Parameters
Type |
Name |
Description |
NXObject[] |
selectedCurves |
|
RecognizeRigid(NXObject)
Declaration
public void RecognizeRigid(NXObject constraintTag)
Parameters
Type |
Name |
Description |
NXObject |
constraintTag |
|
RemoveChamfer()
Declaration
public void RemoveChamfer()
RemoveCoincident()
Declaration
public void RemoveCoincident()
RemoveCoincident2dComponent()
Declaration
public void RemoveCoincident2dComponent()
RemoveCoincidentSketchGroup()
Declaration
public void RemoveCoincidentSketchGroup()
RemoveConcentric()
Declaration
public void RemoveConcentric()
RemoveConcentric2dComponent()
Declaration
public void RemoveConcentric2dComponent()
RemoveConcentricSketchGroup()
Declaration
public void RemoveConcentricSketchGroup()
RemoveConlinear()
Declaration
public void RemoveConlinear()
RemoveConlinear2dComponent()
Declaration
public void RemoveConlinear2dComponent()
RemoveConlinearSketchGroup()
Declaration
public void RemoveConlinearSketchGroup()
RemoveEngineNodes()
Declaration
public void RemoveEngineNodes()
RemoveEqualRadius()
Declaration
public void RemoveEqualRadius()
RemoveEqualRadius2dComponent()
Declaration
public void RemoveEqualRadius2dComponent()
RemoveEqualRadiusSketchGroup()
Declaration
public void RemoveEqualRadiusSketchGroup()
RemoveIncludedConstraints()
Declaration
public void RemoveIncludedConstraints()
RemoveOffset()
Declaration
public void RemoveOffset()
RemoveOffset2dComponent()
Declaration
public void RemoveOffset2dComponent()
RemoveOffsetSketchGroup()
Declaration
public void RemoveOffsetSketchGroup()
RemoveParallel()
Declaration
public void RemoveParallel()
RemoveParallel2dComponent()
Declaration
public void RemoveParallel2dComponent()
RemoveParallelSketchGroup()
Declaration
public void RemoveParallelSketchGroup()
RemoveSymmetric(Int32)
Declaration
public void RemoveSymmetric(int planeType)
Parameters
Type |
Name |
Description |
System.Int32 |
planeType |
|
RemoveTangent()
Declaration
public void RemoveTangent()
RemoveTangent2dComponent()
Declaration
public void RemoveTangent2dComponent()
RemoveTangentSketchGroup()
Declaration
public void RemoveTangentSketchGroup()
RemoveVertexOnCurve()
Declaration
public void RemoveVertexOnCurve()
RemoveVertexOnCurve2dComponent()
Declaration
public void RemoveVertexOnCurve2dComponent()
RemoveVertexOnCurveSketchGroup()
Declaration
public void RemoveVertexOnCurveSketchGroup()
RestoreEngineNodes()
Declaration
public void RestoreEngineNodes()
SelectCurves(NXObject[])
Declaration
public void SelectCurves(NXObject[] curves)
Parameters
SelectSnapPoint(TaggedObject, Point3d)
Declaration
public void SelectSnapPoint(TaggedObject selectedCurve, Point3d point)
Parameters
SelectSymmetryReference(NXObject)
Declaration
public void SelectSymmetryReference(NXObject symmetryReference)
Parameters
Type |
Name |
Description |
NXObject |
symmetryReference |
|
SetDistanceTolerance(Double)
Declaration
public void SetDistanceTolerance(double distanceTolerance)
Parameters
Type |
Name |
Description |
System.Double |
distanceTolerance |
|
UnrecognizeRigid(NXObject)
Declaration
public void UnrecognizeRigid(NXObject constraintTag)
Parameters
Type |
Name |
Description |
NXObject |
constraintTag |
|
Validate()
Declaration
Returns
Type |
Description |
System.Boolean |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink